Upgrade 1.5.2 to latest version

Having trouble installing serendipity?
User avatar
yellowled
Regular
Posts: 7036
Joined: Fri Jan 13, 2006 12:46 pm
Location: Eutin, Germany
Contact:

Re: Upgrade 1.5.2 to latest version

Post by yellowled » Sun Feb 22, 2015 12:10 am

Aha!
hdiaz36 wrote:Cross-Origin Request Blocked: The Same Origin Policy disallows reading the remote resource at http://daxueyingyu.com/hugo/templates/2 ... f?70036835. This can be fixed by moving the resource to the same domain or enabling CORS. fontello.woff
downloadable font: download failed (font-family: "fontello" style:normal weight:normal stretch:normal src index:1): bad URI or cross-site access not allowed
source: http://daxueyingyu.com/hugo/templates/2 ... f?70036835 index.php:460
So the files are (probably) there and readable by the web server, which is good. However – and this is where I have to start guessing a little – for some weird reason, which is probably caused by the way servers are set up at your web hoster, the browser considers this a cross-origin request, which is not allowed. Usually, this would only happen if for instance the font files lived on a different server.

Assuming that you can edit your .htaccess file (with a text editor), you should be able to fix this by adding something to it. First, check if there is a file called .htaccess in the root directory of your web space (i.e. the directory to which you installed Serendipity). If not … uhm … well, if not, you should check with your web hoster if you can have a .htaccess file. (The file might not be showing up in Filezilla because of the dot at the beginning; again, you'd need to check Filezillas preferences for that, the option should be called something like “Display hidden/system files” or similar.)

If you do have an .htaccess file, it should already contain a line that says

Code: Select all

# BEGIN s9y
Before that line, you would need to add the following code to it (and save it, of course):

Code: Select all

<IfModule mod_headers.c>
    <FilesMatch "\.(eot|otf|tt[cf]|woff2?)$">
        Header set Access-Control-Allow-Origin "*"
    </FilesMatch>
</IfModule>
That should allow cross-origin requests for web fonts. Have a little patience with it, on some servers changes to the .htaccess take some time.

YL
amazon Wishlist - Serendipity-Podcast (German only, sorry)

hdiaz36
Regular
Posts: 57
Joined: Wed Feb 21, 2007 7:57 pm
Location: China (Yes, really)

Re: Upgrade 1.5.2 to latest version

Post by hdiaz36 » Sun Feb 22, 2015 12:20 am

Success!

Thanks a lot, I believe we have solved the problem! :)
Image

User avatar
yellowled
Regular
Posts: 7036
Joined: Fri Jan 13, 2006 12:46 pm
Location: Eutin, Germany
Contact:

Re: Upgrade 1.5.2 to latest version

Post by yellowled » Sun Feb 22, 2015 12:39 am

hdiaz36 wrote:Thanks a lot, I believe we have solved the problem! :)
You're welcome. :)

One more thing: it might at some point happen (I don't think so, but you never know) that this .htaccess file gets overwritten or changed by an update to s9y in the future. So you'll want to keep a backup copy of it in order to be able to add these changes again if that happens.

YL
amazon Wishlist - Serendipity-Podcast (German only, sorry)

hdiaz36
Regular
Posts: 57
Joined: Wed Feb 21, 2007 7:57 pm
Location: China (Yes, really)

Re: Upgrade 1.5.2 to latest version

Post by hdiaz36 » Sun Feb 22, 2015 12:58 am

Got it, thanks for the advice. I'll keep a copy just in case.
Image

User avatar
Don Chambers
Regular
Posts: 3633
Joined: Mon Feb 13, 2006 3:40 am
Location: Chicago, IL, USA
Contact:

Re: Upgrade 1.5.2 to latest version

Post by Don Chambers » Fri Mar 04, 2016 5:23 am

dragonmaiden wrote:Does the theme that I am using matter? Though, I believe I am on the default theme since I don't remember changing anything...
Could you elaborate on your question regarding the theme? If you are upgrading to the 2.0.3 or the latest snapshot, your theme is probably 2k11.

Edit: Don, this is/was a copy spamer http://board.s9y.org/viewtopic.php?f=1& ... #p10442098

Post Reply